//index.js
//获取应用实例
var app = getApp()
var qqMap = require('../../lib/qqmap-wx-jssdk.js');
var qqsdk;
Page({
  data: {
    motto: '输入关键词查找身边的建筑',
    userInfo: {},
    inputValue: '',
    mapData: [],
    height: 0
  },
  bindKeyInput: function (res) {
    this.setData({
      inputValue: res.detail.value
    })
  },
  click: function (e) {
    var that = this
    var system = wx.getStorageInfoSync()
    that.setData({
      height: system.windowHeight
    })
    qqsdk.search({
      keyword: this.data.inputValue,
      success: function (res) {
        if (res.data.length != 0) {
          that.setData({
            mapData: res.data
          })
        }
        else {
          wx.showToast({
            title: '查无此条，请重新输入',
            duration: 2000
          })
        }
        console.log(that.data.mapData)
      }
    })
  },
  detailmap(e) {
    // 获取当前item的id
    var that = this;
    var id = e.currentTarget.id;
    var data = that.data.mapData[id];
    console.log(data);
    wx.openLocation({
      latitude: data.location.lat, // 纬度，范围为-90~90，负数表示南纬
      longitude: data.location.lng, // 经度，范围为-180~180，负数表示西经
      scale: 14, // 缩放比例
      name: data.category, // 位置名
      address: data.address, // 地址的详细说明
      success: function (res) {
        // success
      },
      fail: function () {
        // fail
      },
      complete: function () {
        // complete
      }
    })
  },
  onShareAppMessage:function(){
    return{
      title:'我的地图',
      desc:'我的地图简单版主要用于查找身边最近的建筑',
      path:'/path/index/index'
      }
  }
  ,
  onLoad: function () {
    console.log('onLoad')
    var that = this
    //调用应用实例的方法获取全局数据
    app.getUserInfo(function (userInfo) {
      //更新数据
      that.setData({
        userInfo: userInfo
      })
    })
    // 引如腾讯地图
    qqsdk = new qqMap({
      key: 'XBWBZ-LPBWX-WYI4F-ZMIWE-XN7I3-O5FUR'
    })
  }
})
